/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */


package team;

import java.util.*;
import javax.ejb.*;

public interface LocalPlayerHome extends javax.ejb.EJBLocalHome {
    
    public team.LocalPlayer findByPrimaryKey(java.lang.String aKey)
        throws javax.ejb.FinderException;

    public LocalPlayer create (String id, String name, String position,
        double salary) throws CreateException;

    public Collection findByPosition(String position)
        throws FinderException;

    public Collection findByHigherSalary(String name)
        throws FinderException;

    public Collection findBySalaryRange(double low, double high)
        throws FinderException;

    public Collection findByLeague(LocalLeague league)
        throws FinderException;

    public Collection findBySport(String sport)
        throws FinderException;

    public Collection findByCity(String city)
        throws FinderException;

    public Collection findAll()
        throws FinderException;

    public Collection findNotOnTeam()
        throws FinderException;

    public Collection findByPositionAndName(String position,
        String name) throws FinderException;

    public Collection findByTest (String parm1, String parm2, String parm3)
        throws FinderException;
    
}
