/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

package storage;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

public class SessionWithBigObject extends HttpServlet {
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        //processRequest(request, response);
        response.setContentType("text/html");
        java.io.PrintWriter out = response.getWriter();

        out.println("<html>");
        out.println("<head><title>Input for Object Size</title></head>");
        out.println("<body bgcolor=#FFFFFF>");
        out.println("<form method=post action=\"/SessionStorage/SessionWithBigObject\">");
        out.println("<h1> Creating Object with specified size</h1>");
        out.println("Enter object size <input type=input name=newVal>");
        out.println("<input type=submit value=Submit name=submitButton>");
        out.println(" ");
        out.println("<p><a href=index.html>Main Page</a></p> ");
        out.println("<p>&nbsp;</p>");
        out.println("<p>&nbsp;</p>");
        out.println("</body>");
        out.println("</html>");
        out.close();

    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        //processRequest(request, response);
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        String newVal = "0";
        String vals[] = request.getParameterValues("newVal");
        if (vals != null && vals.length > 0) {
            newVal = vals[0];
        }
        int size = Integer.parseInt(newVal);        
        HttpSession session = null;
        BigDummyObject bigObjectData;
        
        try {
            try {
                session = request.getSession(true);
            } catch (Exception e) {
                e.printStackTrace();
            }

            bigObjectData = new BigDummyObject(size);
            session.setAttribute("session.bigObjectData", bigObjectData);
            out.println("<html><head><title>Session Storage</title></head>");
            out.println("<body bgcolor=#FFFFFF>");
            out.println("<FONT size=\"+2\" color=\"#000066\">Session with Specified Size Data Object<HR><BR></FONT>");
            out.println("<FONT size=\"+1\"> ");
            out.println("Creation Time:  " + new java.util.Date(session.getCreationTime()).toString() + "<BR>");
            out.println("Last Accessed:  " + new java.util.Date(session.getLastAccessedTime()).toString() + "<BR><BR>");
            out.println("The SessionID:  " + session.getId() + "<BR><BR>");
            String objectString = bigObjectData.toString();
            out.println("This session has size = " + (objectString.length()) * 2 + " Bytes <BR>");
            
            out.println("<p><a href=index.html>Main Page</a></p> ");
            out.println("</body></html>");
        } catch (Exception e) {
                e.printStackTrace();
        }
        out.close();
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
